Subject: Re: linux-next: Tree for May 7 (argh)

From: Andi Kleen <[email-masked]>
Date: Wed, 7 May 2014 18:10:30 -0700

> >> > ps2mult.c:(.exit.text+0x8f): multiple definition of `cleanup_module'
> >> > ps2mult.c:(.init.text+0xbc8): multiple definition of `init_module'
> >> > ipack.c:(.exit.text+0x0): multiple definition of `cleanup_module'
> >> > ipack.c:(.init.text+0x0): multiple definition of `init_module'
> >> > mcb-core.c:(.text+0x40d): multiple definition of `cleanup_module'
> >> > mcb-core.c:(.text+0x3fb): multiple definition of `init_module'
> >>

It sounds like it misdetects your binutils. LTO should
disable itself when your binutils cannot handle it. Can you send me
the full build log and output of ld --version and gcc --version
please?

-andi

-- 
[email-masked] -- Speaking for myself only